package com.hw.ems.api.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 公摊管理对象 base_public_manage
 *
 * @author ruoyi
 * @date 2023-04-27
 */
public class BasePublicManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公摊时间起 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "公摊时间起", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 公摊时间止 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "公摊时间止", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 公摊类型 2：电 /3：水 */
    private String publicShareType;

    /** 公摊规则 */
    @Excel(name = "公摊规则")
    private String publicShareRule;

    /** 公摊值 */
    @Excel(name = "公摊值")
    private Long publicShareValue;

    /**  */
    @Excel(name = "")
    private String other1;

    /**  */
    @Excel(name = "")
    private String other2;

    /**
     * 用户编号list
     */
    private String ids;

    /**
     * 公摊用户对象
     */
    private List<BasePublicUser> basePublicUsers;

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public List<BasePublicUser> getBasePublicUsers() {
        return basePublicUsers;
    }

    public void setBasePublicUsers(List<BasePublicUser> basePublicUsers) {
        this.basePublicUsers = basePublicUsers;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBeginTime(Date beginTime)
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime()
    {
        return beginTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setPublicShareType(String publicShareType)
    {
        this.publicShareType = publicShareType;
    }

    public String getPublicShareType()
    {
        return publicShareType;
    }
    public void setPublicShareRule(String publicShareRule)
    {
        this.publicShareRule = publicShareRule;
    }

    public String getPublicShareRule()
    {
        return publicShareRule;
    }
    public void setPublicShareValue(Long publicShareValue)
    {
        this.publicShareValue = publicShareValue;
    }

    public Long getPublicShareValue()
    {
        return publicShareValue;
    }
    public void setOther1(String other1)
    {
        this.other1 = other1;
    }

    public String getOther1()
    {
        return other1;
    }
    public void setOther2(String other2)
    {
        this.other2 = other2;
    }

    public String getOther2()
    {
        return other2;
    }

    @Override
    public String toString() {
        return "BasePublicManage{" +
                "id=" + id +
                ", beginTime=" + beginTime +
                ", endTime=" + endTime +
                ", publicShareType='" + publicShareType + '\'' +
                ", publicShareRule='" + publicShareRule + '\'' +
                ", publicShareValue=" + publicShareValue +
                ", other1='" + other1 + '\'' +
                ", other2='" + other2 + '\'' +
                ", ids='" + ids + '\'' +
                ", basePublicUsers=" + basePublicUsers +
                '}';
    }
}
